<?php

declare(strict_types=1);

namespace Drupal\calculation_fields_example\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\calculation_fields_example\Form\QuantityField1;
use Drupal\calculation_fields_example\Form\QuantityField2;

/**
 * Controller to render two forms that has fields with the same name.
 *
 * @see CalculationFieldsFormTest
 */
final class MultipleFormsAtSamePageController extends ControllerBase {

  /**
   * Builds the response.
   */
  public function __invoke(): array {
    $build['form_1'] = $this->formBuilder()->getForm(QuantityField1::class);
    $build['form_2'] = $this->formBuilder()->getForm(QuantityField2::class);
    return $build;
  }

}
